# 全局环境: 修改需要重新运行
NODE_ENV = 'development'

# px2rem 适配
VUE_APP_REM_UNIT = 10

# 版本号 chunk 缓存
VUE_APP_VERSION = '0.1.0'

# 网络超时
VUE_APP_TIME_OUT = 300000

# 基础 URL: dev需为空 代理为target后第一匹配字段
VUE_APP_BASE_URL = ''

# 阿里云 OSS URL
VUE_APP_OSS_URL = 'http://alading-20210318.oss-cn-shanghai.aliyuncs.com'

# ant-design 组件库
VUE_APP_UI_ANT_DESIGN = 'ant-design'

# quasar 组件库
VUE_APP_UI_QUASAR = 'quasar'

# element-ui 组件库
VUE_APP_UI_ELEMENT = 'element-ui'

# 编译组件选择
# FIXME: 若不生效多刷新几次main.js即可
VUE_APP_PLATFORM = ['ant-design', 'quasar', 'element-ui']

# 若同时存在多个组件库, 公共位置优先引用库  - 如 progress.js
# FIXME: ant-design 不支持原型链条调用方式, 实现方式需要 App.vue + vuex 来控制: 繁琐故取消了
VUE_APP_PRIORITY = "quasar"

# 骨架屏优先选择项: native/web/隐藏不传入  - 骨架屏 Loading 时还不能获取到对象 native
VUE_APP_SKELETON = 'web'

